<?php
/**
 * @package	StarShop for Joomla!
 * @version	1.0.9
 * @author	joomstar.ir
 * @copyright	(C) 2012-2020 JOOMSTAR.IR SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 https://www.gnu.org/licenses/gpl-3.0.en.html
 */
defined('_JEXEC') or die;
class Jstar_shopViewFactor extends JViewLegacy
{
	protected $items;
	protected $coupon;
	protected $amazing;
	protected $usercoupon;
	protected $pagination;
	protected $state;
	protected $bank;

	public function display($tpl = null)
	{
		$arr_pid = @$_SESSION['product'];
		$amazing = @$_SESSION['amazing'];
		if($arr_pid || $amazing){

			if($arr_pid){
				$this->state         = $this->get('State');
				$this->items         = $this->get('Items'); 
				$this->pagination    = $this->get('Pagination');
			}
			if($amazing){
				$this->amazing         = $this->get('Amazing');
			}
			$this->coupon         = $this->get('Coupon');
			$this->usercoupon     = $this->get('User_coupon'); 
			$this->bank			= $this->get('Bank');
		}
		// Check for errors.
		if (@count($errors = $this->get('Errors')))
		{
			JFactory::getApplication()->enqueueMessage(implode("\n", $errors), 'error');

			return false;
		}
		parent::display($tpl);
	}
}
